## marble 17.08.3

=== examples/cpp/squad-interpolation/CMakeLists.txt ===
SET (TARGET squad-interpolation)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_HDR squad-interpolation.h)
set( ${TARGET}_SRC squad-interpolation.cpp)
add_executable( ${TARGET} ${${TARGET}_SRC} )

target_link_libraries(${TARGET} marblewidget)

install( TARGETS ${TARGET} RUNTIME DESTINATION ${MARBLE_EXAMPLES_INSTALL_DIR}/${TARGET} )

return()
# TODO: do not install sources for now, MarblePlacemarkModel.h is not ready/good for public usages
install( FILES ${${TARGET}_SRC} ${${TARGET}_HDR} DESTINATION ${MARBLE_EXAMPLES_INSTALL_DIR}/${TARGET} )
install( FILES CMakeLists.txt.external DESTINATION ${MARBLE_EXAMPLES_INSTALL_DIR}/${TARGET} RENAME CMakeLists.txt )

=== src/plugins/render/overviewmap/CMakeLists.txt ===
PROJECT( OverviewMap )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( overviewmap_SRCS OverviewMap.cpp )
set( overviewmap_UI OverviewMapConfigWidget.ui )

qt_wrap_ui(overviewmap_SRCS ${overviewmap_UI})

set( OverviewMap_LIBS Qt5::Svg )

marble_add_plugin( OverviewMap ${overviewmap_SRCS} )

=== debian/changelog ===
marble (4:17.08.3-3~mx17+2) mx; urgency=medium

  * Add missing QML depends for marble-maps.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Mar 2018 09:37:43 -0800

marble (4:17.08.3-3~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Don't install appdata.xml files; they cause FTBFS,

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Jan 2018 15:19:53 -0800

marble (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Unregister /etc/xdg/marble.knsrc as marble-data conffile (it is a conffile
    of marble now). (Closes: #885067)
  * Reshuffle the packages, also to improve the dependencies for each
    component:
    - new marble-qt-data: split from marble-data, contains the data needed for
      libmarblewidget, and marble-qt; make libmarblewidget, and marble-data
      depend on it
    - new plasma-marble: contains all the Plasma-related bits; move the Plasma
      dependencies for it from marble-data (Closes: #884027)
  * Remove in the dh_auto_install override all the files that must not be
    installed, instead of ignoring them
    - simplify a bit one install file
    - drop not-installed, no more needed now
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 14:31:18 +0100

marble (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (see #883624)
  * Bump Standards-Version to 4.1.2, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:58:03 +0100

marble (4:17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge changes from 4:16.08.3-2.
  * Simplify watch file, and switch it to https.
  * Remove unused debian/meta/cmake-ignore file.
  * Remove unused build dependencies: libkf5config-dev, libkf5service-dev,
    libopencv-core-dev, libopencv-highgui-dev, libopencv-imgproc-dev,
    libprotobuf-dev, libquazip5-dev, python-dev, qtscript5-dev, and sip-dev
    - explicitly add libkf5plasma-dev
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 21:32:54 +0100

marble (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:41 +0200

marble (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:12 +0000

marble (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:44:53 +0000

marble (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:51 +0000

marble (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:25:06 +0000

marble (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:22 +0000

marble (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:11 +0000

marble (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:28 +0000

marble (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:24 +0000

marble (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:01 +0000

marble (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:10 +0000

marble (4:16.08.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #879094)
  * Update Homepage to marble.kde.org. (Closes: #854798)
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove trailing whitespaces in changelog.
  * Remove unused ${shlibs:Depends} substvar from libastro-dev.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 07:28:23 +0100

marble (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:16 +0000

marble (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:38 +0000

marble (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:41 +0000

marble (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2016 13:29:49 +0000

marble (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:48 +0000

marble (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:23 +0000

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libgps-dev (>= 2.90),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5crash-dev (>= 5.7.0~),
               libkf5doctools-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5newstuff-dev (>= 5.7.0~),
               libkf5parts-dev (>= 5.7.0~),
               libkf5plasma-dev,
               libkf5runner-dev (>= 5.7.0~),
               libkf5wallet-dev (>= 5.7.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4),
               libshp-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtlocation5-dev (>= 5.3.0~),
               qtmultimedia5-dev (>= 5.3.0~),
               qtpositioning5-dev (>= 5.3.0~),
               qttools5-dev (>= 5.4),
               shared-mime-info,
               zlib1g-dev,
Standards-Version: 4.1.3
Homepage: https://marble.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/marble.git

Package: libastro-dev
Architecture: any
Section: libdevel
Depends: libastro1 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-28 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.4),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
         ${shlibs:Depends},
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-28
Architecture: any
Section: libs
Depends: marble-qt-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gosmore, monav-routing-daemon, routino
Replaces: marble-data (<< 4:17.08.1)
Breaks: marble-data (<< 4:17.08.1)
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: marble-qt-data (= ${source:Version}),
         ${misc:Depends},
Breaks: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
Replaces: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         qml-module-qtmultimedia,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-templates2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gosmore, monav-routing-daemon, routino
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt-data
Architecture: all
Section: misc
Depends: ${misc:Depends},
Breaks: marble-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Replaces: marble-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Description: Qt-only data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: plasma-marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
Replaces: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
Description: Plasma integration for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the Marble integration with Plasma:
  * the Plasma runner
  * the World Clock widget
  * the Plasma wallpaper
 .
 This package is part of the KDE education module.

## marble 17.08.3%2Bqtbuild

=== debian/changelog ===
marble (4:17.08.3+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:48:00 +0800

marble (4:17.08.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Frédéric Bonnard ]
  * Add Comment fields to the .desktop files as they are now
    required by the Appstream generator.  (Closes: #923592)
  * add include QPainterPath

 -- Niels Thykier <niels@thykier.net>  Sat, 18 May 2019 07:16:42 +0000

marble (4:17.08.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing qml-module dependencies for marble-maps. (Closes: #879756)
  * Add patch to build with Qt 5.11 by including missing headers.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 27 Oct 2018 13:38:29 +0200

## marble 17.08.3+qtbuild

=== tools/stars/CMakeLists.txt ===
SET (TARGET stars)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC stars.cpp )
add_definitions( -D_USE_MATH_DEFINES=1 )
add_executable( ${TARGET} ${${TARGET}_SRC} )

target_link_libraries( ${TARGET} Qt5::Core )

=== src/plugins/runner/kml/CMakeLists.txt ===
PROJECT( KmlPlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
 ${CMAKE_SOURCE_DIR}/src/lib/marble/geodata/handlers/kml
)

set( kml_SRCS KmlDocument.cpp KmlParser.cpp KmlPlugin.cpp KmlRunner.cpp KmzHandler.cpp )

marble_add_plugin( KmlPlugin ${kml_SRCS} )


find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)

macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS KIO)
if(NOT KF5_FOUND)
    return()
endif()

# register marble part as handler
# install again once part is fixed to load and show the passed file
# install(FILES marble_part_kml.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
# install(FILES marble_part_kmz.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

# register thumbnail plugin as handler
install(FILES marble_thumbnail_kml.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES marble_thumbnail_kmz.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

if(NOT WIN32 AND NOT APPLE)
    # register marble app as handler
    install(FILES marble_kml.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES marble_kmz.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()

## marble 17.12.3

=== doc/CMakeLists.txt ===
########### install files ###############
#

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)

macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS DocTools)

if(KF5_FOUND)
    kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR marble)
endif()

=== tests/CMakeLists.txt ===
#############################################################

ADD_DEFINITIONS(-DTEST_DATA_DIR="${TEST_DATA_DIR}")
ADD_DEFINITIONS(-DMARBLE_SRC_DIR="${CMAKE_SOURCE_DIR}")

#############################################################
# libraries

# because of htonl
IF (WIN32)
  SET(PLATFORM_LIBRARIES wsock32)
ENDIF (WIN32)

# Since the tests are not actually installed, but rather
# run directly from the build/src/tests dir we need to
# ensure the marble libs can be found.
IF (APPLE)
  # For Mac OS X, the executable must be at the root of the bundle's executable folder
  SET (CMAKE_INSTALL_NAME_DIR @executable_path/../lib)
ENDIF (APPLE)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

#############################################################
# includes

#############################################################
# Make the current test source directory available in #define TESTSRCDIR
# use this for accessing TESTSRCDIR/data
#############################################################

add_definitions( -DTESTSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}" )

#############################################################

#############################################################
# Configure the test scripts and put them in the project root
# directory. 
#############################################################

#make sure that the cmake and ctest stuff is available
if( CMAKE_COMMAND AND CMAKE_CTEST_COMMAND )

configure_file( 
    "${CMAKE_CURRENT_SOURCE_DIR}/CTestNightlyScript.cmake.in"
    "${PROJECT_BINARY_DIR}/CTestNightlyScript.cmake" )

else( CMAKE_COMMAND AND CMAKE_CTEST_COMMAND )

message( STATUS "Both the CTest and CMake command are needed to create test scripts" ) 
message( STATUS "Test Scripts have not been created" )

endif( CMAKE_COMMAND AND CMAKE_CTEST_COMMAND )


############################
# Drop in New Tests
############################
marble_add_test( MarbleWidgetSpeedTest )
add_definitions( -DDGML_PATH="${CMAKE_CURRENT_SOURCE_DIR}/../data/maps/earth" )
marble_add_test( TestGeoSceneWriter )

marble_add_test( LocaleTest )               # Check MarbleLocale functionality
marble_add_test( QuaternionTest )           # Check Quaternion arithmetic
marble_add_test( TileIdTest )               # Check TileId arithmetic
marble_add_test( ViewportParamsTest )
marble_add_test( PluginManagerTest )        # Check plugin loading
marble_add_test( MarbleRunnerManagerTest )  # Check RunnerManager signals
marble_add_test( BookmarkManagerTest )
marble_add_test( PlacemarkPositionProviderPluginTest )
marble_add_test( PositionTrackingTest )
marble_add_test( MercatorProjectionTest )   # Check Screen coordinates
marble_add_test( GnomonicProjectionTest )
marble_add_test( StereographicProjectionTest )
marble_add_test( MarbleMapTest )            # Check map theme and centering
marble_add_test( MarbleWidgetTest )         # Check map theme, mouse move, repaint and multiple widgets
marble_add_test( MapViewWidgetTest )        # Check mapview signals
marble_add_test( TestGeoPainter )           # no tests!
marble_add_test( GeoUriParserTest )
marble_add_test( BillboardGraphicsItemTest )
marble_add_test( ScreenGraphicsItemTest )
marble_add_test( FrameGraphicsItemTest )
marble_add_test( RenderPluginTest )
marble_add_test( AbstractDataPluginModelTest )
marble_add_test( AbstractDataPluginTest )
marble_add_test( AbstractFloatItemTest )
marble_add_test( RenderPluginModelTest )
marble_add_test( GeoDataTreeModelTest )
marble_add_test( RouteRequestTest )

## GeoData Classes tests
marble_add_test( TestCamera )
marble_add_test( TestNetworkLink )
marble_add_test( TestLatLonQuad )
marble_add_test( TestGeoData )                  # Check parent, nodetype
marble_add_test( TestGeoDataCoordinates )       # Check coordinates specifics
marble_add_test( TestGeoDataLatLonAltBox )      # Check boxen specifics
marble_add_test( TestGeoDataGeometry )          # Check geometry specifics
marble_add_test( TestGeoDataTrack )             # Check track specifics
marble_add_test( TestGxTimeSpan )
marble_add_test( TestGxTimeStamp )
marble_add_test( TestBalloonStyle )             # Check BalloonStyle
marble_add_test( TestListStyle )                # Check ListStyle
marble_add_test( TestTour )
marble_add_test( TestGroundOverlay )     # Check GroundOverlay specifics
marble_add_test( TestModel )
marble_add_test( TestTimeStamp )
marble_add_test( TestTimeSpan )
marble_add_test( TestEquality )
marble_add_test( TestFeatureDetach )
marble_add_test( TestGeometryDetach )
marble_add_test( TestTileProjection )
marble_add_test( TestGeoDataBuilding )

qt_add_resources(TestGeoDataCopy_SRCS TestGeoDataCopy.qrc) # Check copy operations on CoW classes
marble_add_test( TestGeoDataCopy ${TestGeoDataCopy_SRCS} )

add_definitions( -DCITIES_PATH="${CMAKE_CURRENT_SOURCE_DIR}/../data/placemarks/cityplacemarks.kml" )
marble_add_test( TestGeoDataWriter )            # Check parsing, writing, reloading and comparing kml files
marble_add_test( TestGeoDataPack )              # Check pack and unpack to file

=== examples/cpp/CMakeLists.txt ===
# Generate fake headers
# forwarding headers to simulate installed header paths with just a marble/ prefix
# for headers which are located in other prefixes in the sources
set(FAKEHEADERS_DIR ${CMAKE_CURRENT_BINARY_DIR}/fakeheaders)

function(generateFakeHeaders basedir)
    foreach(_filename ${ARGN})
        set(_fileContent "#include <${basedir}/${_filename}>")
        file(WRITE ${FAKEHEADERS_DIR}/marble/${_filename} ${_fileContent})
    endforeach()
endfunction()

# create clean dir
file(REMOVE_RECURSE ${FAKEHEADERS_DIR})
file(MAKE_DIRECTORY ${FAKEHEADERS_DIR}/marble)

generateFakeHeaders(geodata/data
    GeoDataCoordinates.h
    GeoDataDocument.h
    GeoDataFlyTo.h
    GeoDataGeometry.h
    GeoDataGroundOverlay.h
    GeoDataIconStyle.h
    GeoDataLatLonAltBox.h
    GeoDataLinearRing.h
    GeoDataLineString.h
    GeoDataLookAt.h
    GeoDataMultiGeometry.h
    GeoDataPlacemark.h
    GeoDataPlaylist.h
    GeoDataPoint.h
    GeoDataPolygon.h
    GeoDataStyle.h
    GeoDataStyleMap.h
    GeoDataTour.h
)
generateFakeHeaders(geodata/parser
    GeoDataTypes.h
)
generateFakeHeaders(routing
    Route.h
    RouteRequest.h
    RoutingManager.h
    RoutingModel.h
)

# TODO: Change include directories for the library not to include all subdirectories,
# and change #include statements to use <marble/...> and "..." includes only
include_directories(
    ${CMAKE_SOURCE_DIR}/src/lib
    ${FAKEHEADERS_DIR}
)

set( MARBLE_EXAMPLES_INSTALL_DIR ${CMAKE_INSTALL_FULL_DATAROOTDIR}/apps/marble/examples )

add_subdirectory( hello-marble )
add_subdirectory( map-properties )
add_subdirectory( custom-layers )
add_subdirectory( kml-inspector )
add_subdirectory( map-controls )
add_subdirectory( overlay-rendering )
add_subdirectory( squad-interpolation )
add_subdirectory( geopainter )
add_subdirectory( basic-routing )
add_subdirectory( reverse-geocoding )
add_subdirectory( vehicletracking )
add_subdirectory( search )

add_subdirectory( marble-game )
add_subdirectory( marbleQuick2 )

FIND_PACKAGE (OpenCV QUIET COMPONENTS core imgproc highgui videoio)
if(OPENCV_HIGHGUI_FOUND)
  add_subdirectory( animation-video )
  add_subdirectory( tour-preview )
endif()

=== src/bindings/CMakeLists.txt ===
if(EXPERIMENTAL_PYTHON_BINDINGS)
  MESSAGE(WARNING "Marble's Python bindings lack a maintainer and therefore had to be disabled. Do you need them? Please contact us at https://marble.kde.org/support.php")
  return()
endif()

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)

macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS Wallet NewStuff Parts)

if(NOT KF5_FOUND)
  return()
endif()

#### Python support ####
set(PythonSupport_FOUND FALSE)

set_package_properties(EXPERIMENTAL_PYTHON_BINDINGS PROPERTIES
                       URL "http://techbase.kde.org/Development/Languages/Python"
                       TYPE OPTIONAL
                       PURPOSE "Experimental Python binding support for the Marble library. To activate it pass -DEXPERIMENTAL_PYTHON_BINDINGS=TRUE to cmake."
                      )

if(EXPERIMENTAL_PYTHON_BINDINGS)
    macro_optional_find_package(PythonLibrary)

    macro_optional_find_package(SIP)
    if(SIP_FOUND AND SIP_VERSION STRLESS "040c02")
        message(STATUS "The version of SIP found is too old. 4.12.2 or later is needed.")
        set(SIP_FOUND)
    endif(SIP_FOUND AND SIP_VERSION STRLESS "040c02")

    include(SIPMacros)

    macro_optional_find_package(PyQt4)
    if(PYQT4BUILD AND PYQT4_VERSION STRLESS "040804")
        message(STATUS "The version of PyQt found is too old. 4.8.4 or later is required.")
        set(PYQT4BUILD)
    endif(PYQT4BUILD AND PYQT4_VERSION STRLESS "040804")
    set_package_properties(PYTHONQT4BUILD PROPERTIES
                             URL "http://www.riverbankcomputing.co.uk/software/pyqt/intro"
                             TYPE OPTIONAL
                             PURPOSE "PyQt4"
                            )

    if (PYTHONLIBRARY_FOUND AND SIP_FOUND AND PYQT4BUILD)
      set(PythonSupport_FOUND TRUE)
    endif (PYTHONLIBRARY_FOUND AND SIP_FOUND AND PYQT4BUILD)

    set_package_properties(PythonSupport_FOUND PROPERTIES
                              URL "http://techbase.kde.org/Development/Languages/Python"
                              TYPE OPTIONAL
                              PURPOSE "Needed for Python bindings to the marble widget."
                             )
endif(EXPERIMENTAL_PYTHON_BINDINGS)

#### End Python support ####


if(PythonSupport_FOUND)
  macro_optional_add_subdirectory(python)
endif(PythonSupport_FOUND)

=== src/plasma/CMakeLists.txt ===
find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
# KDECMakeSettings expexts LIB_INSTALL_DIR set
set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR})
# Plasma macros assume SERVICES_INSTALL_DIR, DATA_INSTALL_DIR
set(SERVICES_INSTALL_DIR ${KDE_INSTALL_KSERVICES5DIR})
set(DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR})
include(KDECMakeSettings)

macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS Plasma)

if (NOT KF5_FOUND)
  return()
endif()


add_subdirectory(qmlplugin)

add_subdirectory(applets)
add_subdirectory(wallpapers)

=== src/plasmarunner/CMakeLists.txt ===
project(MarblePlasmaRunner)

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMPoQmTools)
include(KDEInstallDirs)
# KDECMakeSettings expexts LIB_INSTALL_DIR set
set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR})
include(KDECMakeSettings)

macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS Runner I18n)

if(NOT KF5_FOUND)
  return()
endif()

set(plasmaRunner_SRCS
  main.cpp
  plasmarunner.cpp
)

# we have to load the catalog ourselves currently
ecm_create_qm_loader(plasmaRunner_SRCS marble_qt)

add_library(plasma_runner_marble MODULE ${plasmaRunner_SRCS})
target_link_libraries(plasma_runner_marble
  marblewidget
  KF5::Runner
  KF5::I18n
)

install(TARGETS plasma_runner_marble DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-runner-marble.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== src/plugins/CMakeLists.txt ===
if(NOT CMAKE_SYSTEM_NAME STREQUAL Android)
    add_subdirectory( designer )
    add_subdirectory( templates )
endif()

add_subdirectory( render )
add_subdirectory( positionprovider )
add_subdirectory( runner )

=== tools/vectorosm-tilecreator/CMakeLists.txt ===
SET (TARGET vectorosm-toolchain)
PROJECT (${TARGET})

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
../../src/lib/marble/osm
../../src/lib/marble/geodata/writer
../../src/lib/marble/geodata/parser
../../src/lib/marble/geodata/data
../../src/lib/marble/geodata
../../src/lib/marble/
../mbtile-import
)

add_library(${TARGET} STATIC
../mbtile-import/MbTileWriter.cpp
clipper/clipper.cpp
NodeReducer.cpp
PeakAnalyzer.cpp
SpellChecker.cpp
TagsFilter.cpp
TileIterator.cpp
TileDirectory.cpp
TileQueue.cpp
VectorClipper.cpp
WayConcatenator.cpp
WayChunk.cpp
)
target_link_libraries(${TARGET} marblewidget Qt5::Sql)

add_executable(marble-vectorosm-tilecreator vectorosm-tilecreator.cpp)
target_link_libraries(marble-vectorosm-tilecreator ${TARGET})

add_executable(marble-vectorosm-cachetiles vectorosm-cachetiles.cpp)
target_link_libraries(marble-vectorosm-cachetiles ${TARGET})

=== examples/cpp/marbleQuick2/CMakeLists.txt ===
SET (TARGET marbleQuick2)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC main.cpp)

qt5_add_resources(marble_QRCS marbleQuick2.qrc)
add_executable( ${TARGET} ${${TARGET}_SRC} ${marble_QRCS} )

target_link_libraries( ${TARGET}
    marblewidget
    marbledeclarative
)

# TODO: marbledeclarative is a private lib currently, not a plugin, and headers are not installed
# so do not install this example for now
return()


add_custom_command(TARGET ${TARGET} POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_if_different
                       ${CMAKE_CURRENT_SOURCE_DIR}/main.qml
                       ${CMAKE_CURRENT_BINARY_DIR}
                   )

install( TARGETS ${TARGET} RUNTIME DESTINATION ${MARBLE_EXAMPLES_INSTALL_DIR}/${TARGET} )
install( FILES ${${TARGET}_SRC} main.qml Readme.txt DESTINATION ${MARBLE_EXAMPLES_INSTALL_DIR}/${TARGET} )
install( FILES CMakeLists.txt.external DESTINATION ${MARBLE_EXAMPLES_INSTALL_DIR}/${TARGET} RENAME CMakeLists.txt )

=== src/3rdparty/zlib/CMakeLists.txt ===
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

set(ZLIB_VERSION "1.2.8")

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)

check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(stddef.h    HAVE_STDDEF_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1)
# We add these other definitions here because CheckTypeSize.cmake
# in CMake 2.4.x does not automatically do so and we want
# compatibility with CMake 2.4.x.
if(HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_SYS_TYPES_H)
endif()
if(HAVE_STDINT_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDINT_H)
endif()
if(HAVE_STDDEF_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDDEF_H)
endif()
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
   add_definitions(-D_LARGEFILE64_SOURCE=1)
endif()
set(CMAKE_REQUIRED_DEFINITIONS) # clear variable

#
# Check for fseeko
#
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    add_definitions(-DNO_FSEEKO)
endif()

#
# Check for unistd.h
#
check_include_file(unistd.h Z_HAVE_UNISTD_H)

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    # If we're doing an out of source build and the user has a zconf.h
    # in their source tree...
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h)
        message(STATUS "Renaming")
        message(STATUS "    ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h")
        message(STATUS "to 'zconf.h.included' because this file is included with zlib")
        message(STATUS "but CMake generates it automatically in the build directory.")
        file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.included)
  endif()
endif()

set(ZLIB_PC ${CMAKE_CURRENT_BINARY_DIR}/zlib.pc)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/zlib.pc.cmakein
		${ZLIB_PC} @ONLY)
configure_file(	${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.cmakein
		${CMAKE_CURRENT_BINARY_DIR}/zconf.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})


#============================================================================
# zlib
#============================================================================

set(ZLIB_PUBLIC_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/zconf.h
    zlib.h
)
set(ZLIB_PRIVATE_HDRS
    crc32.h
    deflate.h
    gzguts.h
    inffast.h
    inffixed.h
    inflate.h
    inftrees.h
    trees.h
    zutil.h
)
set(ZLIB_SRCS
    adler32.c
    compress.c
    crc32.c
    deflate.c
    gzclose.c
    gzlib.c
    gzread.c
    gzwrite.c
    inflate.c
    infback.c
    inftrees.c
    inffast.c
    trees.c
    uncompr.c
    zutil.c
)

# parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib.h _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" ZLIB_FULL_VERSION ${_zlib_h_contents})

add_library(zlibstatic STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})

if(UNIX)
    # On unix-like platforms the library is almost always called libz
   set_target_properties(zlibstatic PROPERTIES OUTPUT_NAME z)
endif()

=== src/plasma/wallpapers/CMakeLists.txt ===
plasma_install_package(worldmap org.kde.plasma.wallpaper.worldmap wallpapers wallpaper)

=== src/lib/marble/layers/CMakeLists.txt ===
set( layers_HDRS
    FogLayer.h
    FpsLayer.h
    GeometryLayer.h
    GroundLayer.h
    MarbleSplashLayer.h
    PlacemarkLayer.h
    PopupLayer.h
    TextureLayer.h
    VectorTileLayer.h
)

set( layers_SRCS
    layers/FloatItemsLayer.cpp
    layers/FogLayer.cpp
    layers/FpsLayer.cpp
    layers/GeometryLayer.cpp
    layers/GroundLayer.cpp
    layers/MarbleSplashLayer.cpp
    layers/PlacemarkLayer.cpp
    layers/PopupLayer.cpp
    layers/TextureLayer.cpp
    layers/VectorTileLayer.cpp
)

=== debian/changelog ===
marble (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * Update install files for changed worldmap wallpaper name and path
  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:31 +0000

marble (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Disable failing TestGeoDataWriter test. Broken on KDE CI since
    November 2017. Reported as KDE Bug: 390941

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 10:09:10 +0000

marble (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:56 +0000

marble (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Increase libmarblewidget-qt version to 28
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:03 +0000

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgps-dev (>= 2.90),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5runner-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libopencv-core-dev,
               libopencv-highgui-dev,
               libopencv-imgproc-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libprotobuf-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5serialport5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4),
               libquazip5-dev,
               libshp-dev,
               libwlocate-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               python-dev,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtlocation5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               shared-mime-info,
               sip-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Breaks: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
Replaces: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-28
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-28 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
         ${shlibs:Depends}
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libastro-dev
Architecture: any
Section: libdevel
Depends: libastro1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

vendor := $(shell dpkg-vendor --query Vendor)

ifeq ($(vendor),Ubuntu)
  ifeq ($(DEB_HOST_ARCH),armel)
    conf_args += -DWITH_OpenGL=OFF
  endif
endif

override_dh_auto_configure:
	$(overridden_command) -- -DWITH_DESIGNER_PLUGIN=ON \
				 -DWITH_KF5=TRUE \
				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
				 $(conf_args)

override_dh_strip:
	$(overridden_command) --dbgsym-migration='marble-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable the auto tests at build time
	:

override_dh_clean:
	$(overridden_command) -Xdata/mwdbii/PISLAND.PNT.orig -Xdata/mwdbii/PLAKE.PNT.orig

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, xserver-xephyr
Restrictions: build-needed
#
#Tests: acc
#Depends: @,
#         dh-acc, exuberant-ctags
#Restrictions: allow-stderr
